<template>
    <div class="customPage">
        <p class="basicTip">
            小贴士：为防止失真热区图片尺寸需与区域大小严格一致
        </p>
        <div>
           <p class="basicTip">
              小贴士：热区图片与跳转链接至少有一个必填
            </p>
            <el-form-item label="热区图片：">
                <custom-upload-img
                  @handle-success="handleSuccess"
                  @handle-remove="handleRemove"
                  :fileList="fileList"
                  :form="form"
                  :isHot="true"
                >
                </custom-upload-img>
            </el-form-item>
            <el-form-item label="跳转链接：">
                <el-input
                    class="diyInput"
                    v-model="form.link"
                    placeholder="请输入跳转链接"
                ></el-input>
            </el-form-item>
        </div>
    </div>
</template>

<script>
import { mapMutations } from 'vuex'
export default {
  props: ['form'],
  data () {
    return {
    }
  },
  computed: {
    fileList () {
      return this.form.img ? [{ url: this.form.img }] : []
    }
  },
  methods: {
    ...mapMutations(['updateCurrent']),
    /**
     * 获取上传成功的图片
     */
    handleSuccess (data) {
      this.fileList.push({
        url: data.url
      })
      this.updateCurrent({ img: data.url })
    },
    /**
     * 移除图片
     */
    handleRemove (data) {
      this.updateCurrent({ img: null })
    }
  }
}
</script>

<style>

</style>
